Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QTextLine.CursorPosition

    java.lang.Object
      java.lang.Enum<QTextLine.CursorPosition>
          com.trolltech.qt.gui.QTextLine.CursorPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTextLine.CursorPosition>

Enclosing class:
  QTextLine

    public static enum QTextLine.CursorPosition

extends java.lang.Enum<QTextLine.CursorPosition>
implements QtEnumerator

Press link for info on QTextLine.CursorPosition

Enum Constant Summary
`CursorBetweenCharacters` Internal.
`CursorOnCharacter` Internal.

Method Summary
`static QTextLine.CursorPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTextLine.CursorPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTextLine.CursorPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CursorBetweenCharacters

    public static final QTextLine.CursorPosition CursorBetweenCharacters

  Internal.

### CursorOnCharacter

    public static final QTextLine.CursorPosition CursorOnCharacter

  Internal.

Method Detail

### values

    public static final QTextLine.CursorPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTextLine.CursorPosition c : QTextLine.CursorPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTextLine.CursorPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTextLine.CursorPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD